## cherrytree 0.99.19-2.0antix1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(cherrytree)

file(READ "debian/changelog" CHANGELOG)
string(REGEX MATCH "cherrytree +\\(([0-9]+)\\.([0-9]+)\\.([0-9]+)-" _ ${CHANGELOG})
set(CT_VERSION ${CMAKE_MATCH_1}.${CMAKE_MATCH_2}.${CMAKE_MATCH_3})
set(CT_VERSION_WINDOWS ${CMAKE_MATCH_1},${CMAKE_MATCH_2},${CMAKE_MATCH_3},0)
message(STATUS "CT_VERSION = ${CT_VERSION}")

# APPLE has issues with installing in /usr/bin because of SIP
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT AND APPLE)
  set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "..." FORCE)
elseif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif()

if(NOT PYTHON_EXEC)
  set(PYTHON_EXEC "python3")
endif(NOT PYTHON_EXEC)

option(USE_NLS "Add locales support" ON)

# used to install locale, packagers might overwrite this
if(USE_NLS)
  if(NOT PACKAGE_LOCALE_DIR)
    set(PACKAGE_LOCALE_DIR "share/locale")
  endif(NOT PACKAGE_LOCALE_DIR)
endif()

# used to install data, packagers might overwrite this
if(NOT SHARE_INSTALL)
  set(SHARE_INSTALL "share" CACHE STRING "Data file install path. Must be a relative path (from CMAKE_INSTALL_PREFIX), with no trailing slash.")
endif(NOT SHARE_INSTALL)
set(CHERRYTREE_SHARE_INSTALL "${SHARE_INSTALL}/cherrytree")


set(CPACK_PACKAGE_NAME "cherrytree")
set(CPACK_PACKAGE_CONTACT "Giuseppe Penone <giuspen@gmail.com>")
set(CPACK_PACKAGE_VENDOR ${CPACK_PACKAGE_CONTACT})
set(CPACK_PACKAGE_VERSION ${CT_VERSION})
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A Hierarchical Note Taking Application, featuring Rich Text and Syntax Highlighting.")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/license.txt")
set(CPACK_PACKAGING_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
set(CPACK_PACKAGE_CHECKSUM "SHA256")
set(CPACK_PACKAGE_EXECUTABLES ${CPACK_PACKAGE_CONTACT})
set(CPACK_CREATE_DESKTOP_LINKS ${CPACK_PACKAGE_CONTACT})
set(CPACK_PACKAGE_INSTALL_DIRECTORY ${CPACK_PACKAGE_CONTACT})
set(CPACK_STRIP_FILES TRUE)

set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtkmm-3.0-1v5, libgtksourceviewmm-3.0-0v5, libxml++2.6-2v5, libsqlite3-0, libgspell-1-2, libcurl4, libuchardet0")
set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://www.giuspen.com/cherrytree/")
#set(CPACK_DEBIAN_PACKAGE_SECTION "graphics") which one?
set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)

include(CPack)


set(CMAKE_CXX_STANDARD 17)

# temporarily disable these warnings: Only <gtksourceview/gtksource.h> can be included directly.
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  add_compile_options(-Wno-cpp)
elseif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options("-Wno-#warnings")
  add_compile_options(-Wthread-safety)
endif()


if(APPLE)
  link_directories(/usr/local/lib /usr/local/opt/gettext/lib)
  include_directories(/usr/local/opt/gettext/include)
  set(CMAKE_MACOSX_RPATH 1)
  set(ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:/usr/local/lib/pkgconfig:/opt/X11/lib/pkgconfig:/usr/local/opt/libxml2/lib/pkgconfig:/usr/local/opt/libxml++/lib/pkgconfig")
  # to fix libxml++2.6 compilation
  add_compile_options(-D_LIBCPP_ENABLE_CXX17_REMOVED_AUTO_PTR)
endif()

add_compile_options(-Wno-deprecated -Wno-deprecated-declarations)
if(CMAKE_BUILD_TYPE STREQUAL "")
  add_compile_options(-O3)
elseif (CMAKE_BUILD_TYPE STREQUAL "Debug")
  add_compile_options(-O0 -g)
endif()


# Create the configuration files config.h in the root dir
configure_file(${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_SOURCE_DIR}/config.h)

option(BUILD_TESTING "Build tests" ON)
if (BUILD_TESTING)
  message("Tests are ON")
else()
  message("Tests are OFF")
endif()

include(FindPkgConfig)
pkg_check_modules(GTKMM gtkmm-3.0 REQUIRED)
pkg_check_modules(GTKSVMM gtksourceviewmm-3.0 REQUIRED)
pkg_check_modules(GLIBMM glibmm-2.4>=2.64 REQUIRED)
pkg_check_modules(PANGOMM pangomm-1.4 REQUIRED)
pkg_check_modules(GSPELL gspell-1 REQUIRED)
pkg_check_modules(LIBXML libxml++-2.6 REQUIRED)
pkg_check_modules(SQLITE sqlite3 REQUIRED)
pkg_check_modules(CURL libcurl REQUIRED)
pkg_check_modules(UCHARDET uchardet REQUIRED)
if(BUILD_TESTING)
  pkg_check_modules(CPPUTEST cpputest  REQUIRED)
endif()

add_subdirectory(src/7za)

# Spdlog
add_subdirectory(src/spdlog)


include(FindPackageHandleStandardArgs)

# For both src and tests targets
include_directories(
  SYSTEM ${GTKMM_INCLUDE_DIRS}
  SYSTEM ${GTKSVMM_INCLUDE_DIRS}
  SYSTEM ${GLIBMM_INCLUDE_DIRS}
  SYSTEM ${PANGOMM_INCLUDE_DIRS}
  SYSTEM ${GSPELL_INCLUDE_DIRS}
  SYSTEM ${LIBXML_INCLUDE_DIRS}
  SYSTEM ${SQLITE_INCLUDE_DIRS}
  SYSTEM ${CURL_INCLUDE_DIRS}
  SYSTEM ${UCHARDET_INCLUDE_DIRS}
  include_directories(.) # to find src/fmt
)

add_subdirectory(src/ct)

if(BUILD_TESTING)
  enable_testing()
  add_subdirectory(tests)
endif()


# rebuild man pages
set(MANFILE_FULL "${CMAKE_SOURCE_DIR}/data/cherrytree.1")
set(MANFILE_FULL_GZ "${MANFILE_FULL}.gz")
add_custom_command(
  OUTPUT ${MANFILE_FULL_GZ}
  COMMAND gzip -f -k --best -n "${MANFILE_FULL}"
)
add_custom_target(man_pages ALL DEPENDS ${MANFILE_FULL_GZ})


# rebuild languages binaries
if(USE_NLS)
  execute_process(
    COMMAND ${PYTHON_EXEC} ${CMAKE_SOURCE_DIR}/po/i18n_po_to_mo.py
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  )
endif()


# set icon on macos
if(APPLE)
  install(CODE "execute_process(COMMAND ${PYTHON_EXEC} ${CMAKE_SOURCE_DIR}/scripts/set_icon_macos.py ${CMAKE_SOURCE_DIR}/icons/cherrytree.ico ${CMAKE_INSTALL_PREFIX}/bin/cherrytree)")
endif(APPLE)

# install other files
if(${CMAKE_SYSTEM_NAME} MATCHES Linux|.*BSD|DragonFly|Darwin)
  if(NOT APPLE)
    # share data
    install(FILES "${CMAKE_SOURCE_DIR}/data/cherrytree.desktop"
            DESTINATION "${SHARE_INSTALL}/applications")
    install(FILES "${CMAKE_SOURCE_DIR}/icons/cherrytree.svg"
            DESTINATION "${SHARE_INSTALL}/icons/hicolor/scalable/apps")
    install(FILES "${MANFILE_FULL_GZ}"
            DESTINATION "${SHARE_INSTALL}/man/man1")
    install(FILES
            "${CMAKE_SOURCE_DIR}/data/cherrytree.mime"
            "${CMAKE_SOURCE_DIR}/data/cherrytree.keys"
            DESTINATION "${SHARE_INSTALL}/mime-info")
    install(FILES "${CMAKE_SOURCE_DIR}/data/com.giuspen.cherrytree.metainfo.xml"
            DESTINATION "${SHARE_INSTALL}/metainfo")
  endif(NOT APPLE)

  # share/cherrytree language-specs
  install(DIRECTORY ${CMAKE_SOURCE_DIR}/language-specs
          DESTINATION ${CHERRYTREE_SHARE_INSTALL})
  # share/cherrytree styles
  install(DIRECTORY ${CMAKE_SOURCE_DIR}/styles
          DESTINATION ${CHERRYTREE_SHARE_INSTALL})
  # share/cherrytree data
  install(FILES
          "${CMAKE_SOURCE_DIR}/data/script3.js"
          "${CMAKE_SOURCE_DIR}/data/styles3.css"
          DESTINATION "${CHERRYTREE_SHARE_INSTALL}/data")
  # share/cherrytree icons
  install(FILES
          "${CMAKE_SOURCE_DIR}/icons/ct_home.svg"
          DESTINATION "${CHERRYTREE_SHARE_INSTALL}/icons")

  # locale data
  if(USE_NLS)
    file(GLOB children "${CMAKE_SOURCE_DIR}/po/*")
    foreach(child ${children})
      if(IS_DIRECTORY ${child})
        install(DIRECTORY ${child} DESTINATION "${PACKAGE_LOCALE_DIR}")
      endif()
    endforeach()
  endif()
endif()

# uninstall target
# https://gitlab.kitware.com/cmake/community/-/wikis/FAQ#can-i-do-make-uninstall-with-cmake
if(NOT TARGET uninstall)
  configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

  add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
endif()

=== build/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.16

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/giuspen/git/cherrytree

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/giuspen/git/cherrytree/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/giuspen/git/cherrytree/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/giuspen/git/cherrytree/build/CMakeFiles /home/giuspen/git/cherrytree/build/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/giuspen/git/cherrytree/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named uninstall

# Build rule for target.
uninstall: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 uninstall
.PHONY : uninstall

# fast build rule for target.
uninstall/fast:
	$(MAKE) -f CMakeFiles/uninstall.dir/build.make CMakeFiles/uninstall.dir/build
.PHONY : uninstall/fast

#=============================================================================
# Target rules for targets named man_pages

# Build rule for target.
man_pages: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 man_pages
.PHONY : man_pages

# fast build rule for target.
man_pages/fast:
	$(MAKE) -f CMakeFiles/man_pages.dir/build.make CMakeFiles/man_pages.dir/build
.PHONY : man_pages/fast

#=============================================================================
# Target rules for targets named 7za_static

# Build rule for target.
7za_static: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 7za_static
.PHONY : 7za_static

# fast build rule for target.
7za_static/fast:
	$(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/build
.PHONY : 7za_static/fast

#=============================================================================
# Target rules for targets named spdlog

# Build rule for target.
spdlog: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 spdlog
.PHONY : spdlog

# fast build rule for target.
spdlog/fast:
	$(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/build
.PHONY : spdlog/fast

#=============================================================================
# Target rules for targets named cherrytree

# Build rule for target.
cherrytree: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 cherrytree
.PHONY : cherrytree

# fast build rule for target.
cherrytree/fast:
	$(MAKE) -f src/ct/CMakeFiles/cherrytree.dir/build.make src/ct/CMakeFiles/cherrytree.dir/build
.PHONY : cherrytree/fast

#=============================================================================
# Target rules for targets named cherrytree_shared

# Build rule for target.
cherrytree_shared: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 cherrytree_shared
.PHONY : cherrytree_shared

# fast build rule for target.
cherrytree_shared/fast:
	$(MAKE) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/build
.PHONY : cherrytree_shared/fast

#=============================================================================
# Target rules for targets named run_tests

# Build rule for target.
run_tests: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 run_tests
.PHONY : run_tests

# fast build rule for target.
run_tests/fast:
	$(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/build
.PHONY : run_tests/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... install/strip"
	@echo "... install/local"
	@echo "... edit_cache"
	@echo "... test"
	@echo "... package_source"
	@echo "... install"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... package"
	@echo "... uninstall"
	@echo "... man_pages"
	@echo "... 7za_static"
	@echo "... spdlog"
	@echo "... cherrytree"
	@echo "... cherrytree_shared"
	@echo "... run_tests"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== build/tests/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.16

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/giuspen/git/cherrytree

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/giuspen/git/cherrytree/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/giuspen/git/cherrytree/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/giuspen/git/cherrytree/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/giuspen/git/cherrytree/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# The main all target
all: cmake_check_build_system
	cd /home/giuspen/git/cherrytree/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/giuspen/git/cherrytree/build/CMakeFiles /home/giuspen/git/cherrytree/build/tests/CMakeFiles/progress.marks
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 tests/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/giuspen/git/cherrytree/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 tests/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/giuspen/git/cherrytree/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
tests/CMakeFiles/run_tests.dir/rule:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/run_tests.dir/rule
.PHONY : tests/CMakeFiles/run_tests.dir/rule

# Convenience name for target.
run_tests: tests/CMakeFiles/run_tests.dir/rule

.PHONY : run_tests

# fast build rule for target.
run_tests/fast:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/build
.PHONY : run_tests/fast

tests_clipboard.o: tests_clipboard.cpp.o

.PHONY : tests_clipboard.o

# target to build an object file
tests_clipboard.cpp.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_clipboard.cpp.o
.PHONY : tests_clipboard.cpp.o

tests_clipboard.i: tests_clipboard.cpp.i

.PHONY : tests_clipboard.i

# target to preprocess a source file
tests_clipboard.cpp.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_clipboard.cpp.i
.PHONY : tests_clipboard.cpp.i

tests_clipboard.s: tests_clipboard.cpp.s

.PHONY : tests_clipboard.s

# target to generate assembly for a file
tests_clipboard.cpp.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_clipboard.cpp.s
.PHONY : tests_clipboard.cpp.s

tests_encoding.o: tests_encoding.cpp.o

.PHONY : tests_encoding.o

# target to build an object file
tests_encoding.cpp.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_encoding.cpp.o
.PHONY : tests_encoding.cpp.o

tests_encoding.i: tests_encoding.cpp.i

.PHONY : tests_encoding.i

# target to preprocess a source file
tests_encoding.cpp.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_encoding.cpp.i
.PHONY : tests_encoding.cpp.i

tests_encoding.s: tests_encoding.cpp.s

.PHONY : tests_encoding.s

# target to generate assembly for a file
tests_encoding.cpp.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_encoding.cpp.s
.PHONY : tests_encoding.cpp.s

tests_filesystem.o: tests_filesystem.cpp.o

.PHONY : tests_filesystem.o

# target to build an object file
tests_filesystem.cpp.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_filesystem.cpp.o
.PHONY : tests_filesystem.cpp.o

tests_filesystem.i: tests_filesystem.cpp.i

.PHONY : tests_filesystem.i

# target to preprocess a source file
tests_filesystem.cpp.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_filesystem.cpp.i
.PHONY : tests_filesystem.cpp.i

tests_filesystem.s: tests_filesystem.cpp.s

.PHONY : tests_filesystem.s

# target to generate assembly for a file
tests_filesystem.cpp.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_filesystem.cpp.s
.PHONY : tests_filesystem.cpp.s

tests_main.o: tests_main.cpp.o

.PHONY : tests_main.o

# target to build an object file
tests_main.cpp.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_main.cpp.o
.PHONY : tests_main.cpp.o

tests_main.i: tests_main.cpp.i

.PHONY : tests_main.i

# target to preprocess a source file
tests_main.cpp.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_main.cpp.i
.PHONY : tests_main.cpp.i

tests_main.s: tests_main.cpp.s

.PHONY : tests_main.s

# target to generate assembly for a file
tests_main.cpp.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_main.cpp.s
.PHONY : tests_main.cpp.s

tests_misc_utils.o: tests_misc_utils.cpp.o

.PHONY : tests_misc_utils.o

# target to build an object file
tests_misc_utils.cpp.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_misc_utils.cpp.o
.PHONY : tests_misc_utils.cpp.o

tests_misc_utils.i: tests_misc_utils.cpp.i

.PHONY : tests_misc_utils.i

# target to preprocess a source file
tests_misc_utils.cpp.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_misc_utils.cpp.i
.PHONY : tests_misc_utils.cpp.i

tests_misc_utils.s: tests_misc_utils.cpp.s

.PHONY : tests_misc_utils.s

# target to generate assembly for a file
tests_misc_utils.cpp.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_misc_utils.cpp.s
.PHONY : tests_misc_utils.cpp.s

tests_read_write.o: tests_read_write.cpp.o

.PHONY : tests_read_write.o

# target to build an object file
tests_read_write.cpp.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_read_write.cpp.o
.PHONY : tests_read_write.cpp.o

tests_read_write.i: tests_read_write.cpp.i

.PHONY : tests_read_write.i

# target to preprocess a source file
tests_read_write.cpp.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_read_write.cpp.i
.PHONY : tests_read_write.cpp.i

=== build/src/7za/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.16

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/giuspen/git/cherrytree

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/giuspen/git/cherrytree/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/giuspen/git/cherrytree/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/giuspen/git/cherrytree/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/giuspen/git/cherrytree/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# The main all target
all: cmake_check_build_system
	cd /home/giuspen/git/cherrytree/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/giuspen/git/cherrytree/build/CMakeFiles /home/giuspen/git/cherrytree/build/src/7za/CMakeFiles/progress.marks
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 src/7za/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/giuspen/git/cherrytree/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 src/7za/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 src/7za/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 src/7za/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/giuspen/git/cherrytree/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/7za/CMakeFiles/7za_static.dir/rule:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 src/7za/CMakeFiles/7za_static.dir/rule
.PHONY : src/7za/CMakeFiles/7za_static.dir/rule

# Convenience name for target.
7za_static: src/7za/CMakeFiles/7za_static.dir/rule

.PHONY : 7za_static

# fast build rule for target.
7za_static/fast:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/build
.PHONY : 7za_static/fast

C/7zCrc.o: C/7zCrc.c.o

.PHONY : C/7zCrc.o

# target to build an object file
C/7zCrc.c.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/7zCrc.c.o
.PHONY : C/7zCrc.c.o

C/7zCrc.i: C/7zCrc.c.i

.PHONY : C/7zCrc.i

# target to preprocess a source file
C/7zCrc.c.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/7zCrc.c.i
.PHONY : C/7zCrc.c.i

C/7zCrc.s: C/7zCrc.c.s

.PHONY : C/7zCrc.s

# target to generate assembly for a file
C/7zCrc.c.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/7zCrc.c.s
.PHONY : C/7zCrc.c.s

C/7zCrcOpt.o: C/7zCrcOpt.c.o

.PHONY : C/7zCrcOpt.o

# target to build an object file
C/7zCrcOpt.c.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/7zCrcOpt.c.o
.PHONY : C/7zCrcOpt.c.o

C/7zCrcOpt.i: C/7zCrcOpt.c.i

.PHONY : C/7zCrcOpt.i

# target to preprocess a source file
C/7zCrcOpt.c.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/7zCrcOpt.c.i
.PHONY : C/7zCrcOpt.c.i

C/7zCrcOpt.s: C/7zCrcOpt.c.s

.PHONY : C/7zCrcOpt.s

# target to generate assembly for a file
C/7zCrcOpt.c.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/7zCrcOpt.c.s
.PHONY : C/7zCrcOpt.c.s

C/7zStream.o: C/7zStream.c.o

.PHONY : C/7zStream.o

# target to build an object file
C/7zStream.c.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/7zStream.c.o
.PHONY : C/7zStream.c.o

C/7zStream.i: C/7zStream.c.i

.PHONY : C/7zStream.i

# target to preprocess a source file
C/7zStream.c.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/7zStream.c.i
.PHONY : C/7zStream.c.i

C/7zStream.s: C/7zStream.c.s

.PHONY : C/7zStream.s

# target to generate assembly for a file
C/7zStream.c.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/7zStream.c.s
.PHONY : C/7zStream.c.s

C/Aes.o: C/Aes.c.o

.PHONY : C/Aes.o

# target to build an object file
C/Aes.c.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Aes.c.o
.PHONY : C/Aes.c.o

C/Aes.i: C/Aes.c.i

.PHONY : C/Aes.i

# target to preprocess a source file
C/Aes.c.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Aes.c.i
.PHONY : C/Aes.c.i

C/Aes.s: C/Aes.c.s

.PHONY : C/Aes.s

# target to generate assembly for a file
C/Aes.c.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Aes.c.s
.PHONY : C/Aes.c.s

C/Alloc.o: C/Alloc.c.o

.PHONY : C/Alloc.o

# target to build an object file
C/Alloc.c.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Alloc.c.o
.PHONY : C/Alloc.c.o

C/Alloc.i: C/Alloc.c.i

.PHONY : C/Alloc.i

# target to preprocess a source file
C/Alloc.c.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Alloc.c.i
.PHONY : C/Alloc.c.i

C/Alloc.s: C/Alloc.c.s

.PHONY : C/Alloc.s

# target to generate assembly for a file
C/Alloc.c.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Alloc.c.s
.PHONY : C/Alloc.c.s

C/Bcj2.o: C/Bcj2.c.o

.PHONY : C/Bcj2.o

# target to build an object file
C/Bcj2.c.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Bcj2.c.o
.PHONY : C/Bcj2.c.o

C/Bcj2.i: C/Bcj2.c.i

.PHONY : C/Bcj2.i

# target to preprocess a source file
C/Bcj2.c.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Bcj2.c.i
.PHONY : C/Bcj2.c.i

C/Bcj2.s: C/Bcj2.c.s

.PHONY : C/Bcj2.s

# target to generate assembly for a file
C/Bcj2.c.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Bcj2.c.s
.PHONY : C/Bcj2.c.s

C/Bcj2Enc.o: C/Bcj2Enc.c.o

.PHONY : C/Bcj2Enc.o

# target to build an object file
C/Bcj2Enc.c.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Bcj2Enc.c.o
.PHONY : C/Bcj2Enc.c.o

C/Bcj2Enc.i: C/Bcj2Enc.c.i

.PHONY : C/Bcj2Enc.i

# target to preprocess a source file
C/Bcj2Enc.c.i:

=== debian/changelog ===
cherrytree (0.99.19-2.0antix1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Tue, 10 Nov 2020 23:39:57 +0200

cherrytree (0.99.19-2) groovy; urgency=low

  * the table columns widths are no longer forced equal - modify with right click menu or Ctrl+Period/Ctrl+Alt+Period (#1228)
  * fix search in current node not searching in the current node (#1293)
  * fix rich text monospace tagged text does not zoom (#1264)
  * fix import of plain text file non ascii/utf-8 (new library needed - uchardet)
  * improved undo/redo for codeboxes and tables, restoring cursor position
  * fix visualisation glitches in tables after altering rows/columns (#1205)
  * fix menus have excessive white-space before icons (#1289)
  * support in tables for navigation with Tab and Shift+Tab (#1228) in addition to Ctrl+Arrows
  * removed unnecessary whitespaces from html copy/paste
  * French language updated (Klaus Becker)


 -- Giuseppe Penone <giuspen@gmail.com>  Sat, 07 Nov 2020 19:28:18 +0000

## cherrytree 0.99.20+dfsg

=== debian/changelog ===
cherrytree (0.99.20+dfsg-2) unstable; urgency=medium

  * Adding dependency on desktop-file-utils, as postinst calls its binary.

 -- Andrius Merkys <merkys@debian.org>  Mon, 16 Nov 2020 11:05:06 -0500

cherrytree (0.99.20+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20+dfsg
  * Dropping upstream-integrated patch
    f0d9b764e43ec82de5fc94c1d454f1a896484007.diff.
  * Refreshing remove-Check-New-Version.patch.
  * New dependency on libuchardet-dev.

 -- Andrius Merkys <merkys@debian.org>  Mon, 16 Nov 2020 02:09:44 -0500

=== debian/watch ===
version=4
opts=repack,repacksuffix=+dfsg,dversionmangle=auto \
 https://www.giuspen.com/cherrytree/ https://www.giuspen.com/software/cherrytree_(.*)\.tar\.(?:gz|bz2|xz)

## cherrytree 0.99.21+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(cherrytree)
 
 file(READ "debian/changelog" CHANGELOG)
-string(REGEX MATCH "cherrytree +\\(([0-9]+)\\.([0-9]+)\\.([0-9]+)-" _ ${CHANGELOG})
+string(REGEX MATCH "cherrytree +\\(([0-9]+)\\.([0-9]+)\\.([0-9]+)[-+]" _ ${CHANGELOG})
 set(CT_VERSION ${CMAKE_MATCH_1}.${CMAKE_MATCH_2}.${CMAKE_MATCH_3})
 set(CT_VERSION_WINDOWS ${CMAKE_MATCH_1},${CMAKE_MATCH_2},${CMAKE_MATCH_3},0)
 message(STATUS "CT_VERSION = ${CT_VERSION}")

=== debian/changelog ===
cherrytree (0.99.21+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.21+dfsg

 -- Andrius Merkys <merkys@debian.org>  Mon, 23 Nov 2020 01:00:00 -0500

=== debian/control ===
Source: cherrytree
Section: editors
Priority: optional
Maintainer: Andrius Merkys <merkys@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 desktop-file-utils,
 gettext,
 libcpputest-dev,
 libcurl4-openssl-dev | libcurl-dev,
 libgspell-1-dev,
 libgtkmm-3.0-dev,
 libgtksourceviewmm-3.0-dev,
 libsqlite3-dev,
 libuchardet-dev,
 libxml++2.6-dev,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.5.0
Homepage: https://www.giuspen.com/cherrytree/
Vcs-Git: https://salsa.debian.org/debian/cherrytree.git
Vcs-Browser: https://salsa.debian.org/debian/cherrytree
Rules-Requires-Root: no

Package: cherrytree
Architecture: any
Depends:
 desktop-file-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Description: hierarchical note taking application
 CherryTree is a hierarchical note taking application, featuring rich text,
 syntax highlighting, images handling, hyperlinks, import/export with support
 for multiple formats, support for multiple languages, and more.
